package com.qsoft.rs.sincoar.dto;

import java.io.Serializable;

public class MdStoredProgramsDTO implements Serializable {

    private static final long serialVersionUID = 362802221112427L;

    private Integer id;

    private String programtype;

    private String name;

    private String nativeSql;

    private String nativeKey;

    private String language;

    private String comments;

    private Integer linecount;

    private Integer securityGroupId;

    private java.util.Date createdOn;

    private String createdBy;

    private java.util.Date lastUpdatedOn;

    private String lastUpdatedBy;

    private Integer packageIdFk;

    private Integer schemaIdFk;

        public Integer getId() {
    return id;
    }

        public void setId(Integer id) {
    this.id = id;
    }

        public String getProgramtype() {
    return programtype;
    }

        public void setProgramtype(String programtype) {
    this.programtype = programtype;
    }

        public String getName() {
    return name;
    }

        public void setName(String name) {
    this.name = name;
    }

        public String getNativeSql() {
    return nativeSql;
    }

        public void setNativeSql(String nativeSql) {
    this.nativeSql = nativeSql;
    }

        public String getNativeKey() {
    return nativeKey;
    }

        public void setNativeKey(String nativeKey) {
    this.nativeKey = nativeKey;
    }

        public String getLanguage() {
    return language;
    }

        public void setLanguage(String language) {
    this.language = language;
    }

        public String getComments() {
    return comments;
    }

        public void setComments(String comments) {
    this.comments = comments;
    }

        public Integer getLinecount() {
    return linecount;
    }

        public void setLinecount(Integer linecount) {
    this.linecount = linecount;
    }

        public Integer getSecurityGroupId() {
    return securityGroupId;
    }

        public void setSecurityGroupId(Integer securityGroupId) {
    this.securityGroupId = securityGroupId;
    }

        public java.util.Date getCreatedOn() {
    return createdOn;
    }

        public void setCreatedOn(java.util.Date createdOn) {
    this.createdOn = createdOn;
    }

        public String getCreatedBy() {
    return createdBy;
    }

        public void setCreatedBy(String createdBy) {
    this.createdBy = createdBy;
    }

        public java.util.Date getLastUpdatedOn() {
    return lastUpdatedOn;
    }

        public void setLastUpdatedOn(java.util.Date lastUpdatedOn) {
    this.lastUpdatedOn = lastUpdatedOn;
    }

        public String getLastUpdatedBy() {
    return lastUpdatedBy;
    }

        public void setLastUpdatedBy(String lastUpdatedBy) {
    this.lastUpdatedBy = lastUpdatedBy;
    }

        public Integer getPackageIdFk() {
    return packageIdFk;
    }

        public void setPackageIdFk(Integer packageIdFk) {
    this.packageIdFk = packageIdFk;
    }

        public Integer getSchemaIdFk() {
    return schemaIdFk;
    }

        public void setSchemaIdFk(Integer schemaIdFk) {
    this.schemaIdFk = schemaIdFk;
    }

}